Bug 1577398 (CVE-2018-10805) - CVE-2018-10805 ImageMagick: Memory leak in ReadYCBCRImage
Summary: CVE-2018-10805 ImageMagick: Memory leak in ReadYCBCRImage
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10805
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1577400 1577401 1577403 1584101
Blocks: 1577402
TreeView+ depends on / blocked
 
Reported: 2018-05-11 21:51 UTC by Laura Pardo
Modified: 2020-03-31 22:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 22:32:19 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1180 0 None None None 2020-03-31 19:31:39 UTC

Description Laura Pardo 2018-05-11 21:51:34 UTC
A flaw was found in ImageMagick version 7.0.7-28 contains a memory leak in ReadYCBCRImage in coders/ycbcr.c.


References:
https://github.com/ImageMagick/ImageMagick/issues/1054

Comment 1 Laura Pardo 2018-05-11 21:51:54 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1577400]

Comment 4 Raphael Sanchez Prudencio 2018-05-30 09:41:41 UTC
Doesn't look like it's leaking canvas_image but definitely leaking quantum_info.

Comment 6 errata-xmlrpc 2020-03-31 19:31:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1180 https://access.redhat.com/errata/RHSA-2020:1180

Comment 7 Product Security DevOps Team 2020-03-31 22:32:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-10805


Note You need to log in before you can comment on or make changes to this bug.